/**
 * Implementation of the `EndPoints` enumeration.
 * @module core.end_points
 */
part of akismet.core;

/**
 * Provides the `UrlPattern`s corresponding to the service end points.
 * @class akismet.core.EndPoints
 * @static
 */
abstract class EndPoints {

  /**
   * The URL of the [comment check](https://akismet.com/development/api/#comment-check) end point.
   * @property checkComment
   * @type route.UrlPattern
   * @static
   * @final
   */
  static final UrlPattern checkComment=new UrlPattern('/1.1/comment-check');

  /**
   * The URL of the [submit ham](https://akismet.com/development/api/#verify-key) end point.
   * @property submitHam
   * @type route.UrlPattern
   * @static
   * @final
   */
  static final UrlPattern submitHam=new UrlPattern('/1.1/submit-ham');

  /**
   * The URL of the [submit spam](https://akismet.com/development/api/#verify-key) end point.
   * @property submitSpam
   * @type route.UrlPattern
   * @static
   * @final
   */
  static final UrlPattern submitSpam=new UrlPattern('/1.1/submit-spam');

  /**
   * The URL of the [key verification](https://akismet.com/development/api/#verify-key) end point.
   * @property verifyKey
   * @type route.UrlPattern
   * @static
   * @final
   */
  static final UrlPattern verifyKey=new UrlPattern('/1.1/verify-key');
}
