/**
 * Implementation of the `HttpHeaders` enumeration.
 * @module core.http_headers
 */
part of akismet.core;

/**
 * A collection of HTTP headers and their values.
 * @class akismet.core.HttpHeaders
 * @static
 */
abstract class HttpHeaders {

  /**
   * The header corresponding to [Akismet](https://akismet.com) debug messages.
   * @property AKISMET_DEBUG_HELP
   * @type String
   * @static
   * @final
   */
  static const String AKISMET_DEBUG_HELP='x-akismet-debug-help';

  /**
   * The header used to identify an AJAX request.
   * @property REQUESTED_WITH
   * @type String
   * @static
   * @final
   */
  static const String REQUESTED_WITH='x-requested-with';

  /**
   * The custom header corresponding to the user agent string sent by AJAX clients.
   * @property USER_AGENT
   * @type String
   * @static
   * @final
   */
  static const String USER_AGENT='x-user-agent';
}
