/**
 * `dart:io` implementation of the unit tests.
 * @module tests.io
 */
library akismet.tests.io;

import 'core_test.dart' as core;
import 'dart:io';
import 'package:akismet/io.dart';
import 'package:unittest/vm_config.dart';

/**
 * Runs the `dart:io` unit tests.
 * @class akismet.tests.io
 * @static
 */

/**
 * Application entry point.
 * @method main
 * @param {List&lt;String&gt;} arguments The command line arguments.
 * @static
 */
void main(List<String> arguments) {
  useVMConfiguration();

  if(arguments.isEmpty) {
    print('You must provide a valid Akismet API key in order to run the unit tests.');
    exit(1);
  }

  core.main();

  var blog=Uri.parse(arguments.length>1 ? arguments[1] : 'http://dev.belin.io/akismet.dart');
  var client=new Client(arguments.first, blog);
  new core.ClientTest(client).run();
}
